Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
preview.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZSurveyMain", "Language" )
| $SurveyID = $url_array[3]
| $Page = $url_array[4]
| $t
if( $Page=="") if(isset( $OK)) if(isset( $NextPage)) if(isset( $PreviousPage)) | $survey = new eZSurvey( $SurveyID )
| $totalPages = $survey->numberOfPages()
| $question_array = $survey->surveyQuestions( "Position", $Page )
| $position = 0

## Variable Documentation

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 9 of file preview.php.

## ◆ $Language

$Language = $ini->variable( "eZSurveyMain", "Language" )

Definition at line 10 of file preview.php.

## ◆ $Page

$Page = $url_array[4]

Definition at line 13 of file preview.php.

Referenced by eZSurvey\surveyQuestions().

## ◆ $position

$position = 0

Definition at line 90 of file preview.php.

## ◆ $question_array

$question_array = $survey->surveyQuestions( "Position", $Page )

Definition at line 88 of file preview.php.

Referenced by eZSurvey\delete(), eZQuestion\get(), eZQuestion\getAll(), eZResponseQuestion\getResponsesByQuestion(), eZResponse\numberOfResponses(), eZQuestion\questionDown(), eZQuestion\questionUp(), eZResponse\sendMail(), eZQuestion\stats(), and eZSurvey\surveyQuestions().

## ◆ $survey

if ($Page=="") if (isset($OK)) if (isset($NextPage)) if (isset($PreviousPage)) $survey = new eZSurvey( $SurveyID )

Definition at line 72 of file preview.php.

Referenced by eZResponse\sendMail().

## ◆ $SurveyID

$SurveyID = $url_array[3]

Definition at line 12 of file preview.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezsurvey/admin/" . $ini->variable( "eZSurveyMain", "AdminTemplateDir" ),
"kernel/ezsurvey/admin/intl", $Language, "preview.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: preview.php:10
$ini
$ini
Definition: preview.php:9

Definition at line 15 of file preview.php.

## ◆ $totalPages

$totalPages = $survey->numberOfPages()

Definition at line 84 of file preview.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.